Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Sven Joachim <svenjoac <at> gmx.de>
Subject: Bug#564254: [Bash-completion-devel] Bug#564254: Bug#564254: conflicting /etc/bash_completion
Newsgroups: gmane.linux.debian.devel.bugs.rc
Date: Friday 8th January 2010 20:15:29 UTC (over 6 years ago)
On 2010-01-08 20:47 +0100, Julien Cristau wrote:

> On Fri, Jan  8, 2010 at 20:23:59 +0100, David Paleino wrote:
>
>> reassign 564254 bash-completion
>> retitle 564254 add proper Conflicts: with older bash versions
>> thanks
>> 
>> On Friday 08 January 2010 19:46:44, David Paleino wrote:
>> > reassign 564254 bash
>> > retitle 564254 shouldn't ship bash_completion
>> > thanks
>> 
>> bash-completion has proper Replaces/Depends, but it's missing also a
Conflicts 
>> on older bash versions, which I believe is needed. Going to fix it, and
sorry 
>> for the mess!
>> 
> Why do you think Conflicts are needed?  I'm pretty sure Conflicts would
> be wrong.

Yes, and it would not even help.  The right thingĀ¹ is to make the
Replaces unversioned, AFAICS.  That's because /etc/bash_completion had
been a conffile in old bash versions and thus can still linger around if
bash has been upgraded to 47.11.08-15.

Unversioned Replaces are not pretty, but I don't see a better idea.

Sven



-- 
To UNSUBSCRIBE, email to [email protected]
with a subject of "unsubscribe". Trouble? Contact
[email protected]
 
CD: 17ms